unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs,
  BufDataset, DB, DBGrids, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
    BDS:TBufDataset;
    DS:TDataSource;
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

type
  TMyDBGrid=class(TDBGrid)
  public
    constructor Create(AOwner: TComponent); override;
  end;

constructor TMyDBGrid.Create(AOwner: TComponent);
begin
  inherited;

  ControlStyle:=ControlStyle+[csNoFocus];
end;

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  BDS:=TBufDataset.Create(Self);
  BDS.FieldDefs.Add('FIELD1',ftString,20);
  BDS.CreateDataset;

  DS:=TDataSource.Create(Self);
  DS.DataSet:=BDS;

  with TMyDBGrid.Create(Self) do
   begin
     DataSource:=DS;
     ReadOnly:=True;
     TabStop:=False;
     Parent:=Self;
   end;
end;

end.
